> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch databases for an unsaved connector

> Lists available databases on the target using an unsaved connector configuration. Useful during connector setup to discover existing databases. Response metadata may include Iceberg S3 table bucket maintenance defaults.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/databases
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.46
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/databases:
    post:
      tags:
        - Connectors
      summary: Fetch databases for an unsaved connector
      description: >-
        Lists available databases on the target using an unsaved connector
        configuration. Useful during connector setup to discover existing
        databases. Response metadata may include Iceberg S3 table bucket
        maintenance defaults.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayloadsConnectorPayload'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsConnectorFetchDatabasesResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsConnectorPayload:
      properties:
        dataPlaneName:
          type: string
        defaultDatabase:
          type:
            - 'null'
            - string
        environmentUUID:
          format: uuid
          type:
            - 'null'
            - string
        label:
          type: string
        privateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sharedConfig:
          additionalProperties: {}
          type:
            - object
            - 'null'
        snapshotPrivateLinkUUID:
          format: uuid
          type:
            - 'null'
            - string
        sshTunnelUUID:
          format: uuid
          type:
            - 'null'
            - string
        type:
          type: string
        uuid:
          type: string
      type: object
    PayloadsConnectorFetchDatabasesResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsDatabaseListItem'
          type:
            - array
            - 'null'
        metadata:
          items:
            $ref: '#/components/schemas/PayloadsCatalogTableProperty'
          type: array
      type: object
    PayloadsDatabaseListItem:
      properties:
        name:
          type: string
      type: object
    PayloadsCatalogTableProperty:
      properties:
        isDate:
          type: boolean
        key:
          type: string
        value: {}
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````